steps:
  - name: build
    image: rust
    commands:
      - apt-get -y update
      - apt-get -y install wayland-protocols wayland-utils libwayland-client0 libwayland-dev libasound2 libasound2-dev libudev-dev libudev1
      - tar xzf sccache-v0.7.7-x86_64-unknown-linux-musl.tar.gz
      - mv sccache-v0.7.7-x86_64-unknown-linux-musl/sccache /usr/bin/sccache 
      - chmod +x /usr/bin/sccache
      - sccache --start-server
      - sccache --show-stats
      - cargo test --target-dir /var/woodpecker --features bevy/dynamic_linking
      - cargo doc --target-dir /var/woodpecker --features bevy/dynamic_linking
    volumes:
      - /var/woodpecker:/var/woodpecker
